---
title: Create a new host with connectors
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/host/create-a-new-host-with-connectors/
product: CloudConnexa Docs
---

# Create a new host with connectors

`POST /api/beta/hosts`

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | object | true | body |

### Body parameter

```json
{
  "connectors": [
    {
      "description": "string",
      "name": "string",
      "vpnRegionId": "string"
    }
  ],
  "description": "string",
  "domain": "string",
  "internetAccess": "BLOCKED",
  "name": "string"
}
```

## Responses

| Status | Meaning | Description |
| --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK |
| 201 | [Created](https://tools.ietf.org/html/rfc7231#section-6.3.2) | Entity created |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized |
| 403 | [Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3) | Access Forbidden |
| 404 | [Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4) | Not Found |
| 406 | [Not Acceptable](https://tools.ietf.org/html/rfc7231#section-6.5.6) | Not Acceptable |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error |

```json
{
  "connectors": [
    {
      "description": "string",
      "id": "string",
      "ipV4Address": "string",
      "ipV6Address": "string",
      "name": "string",
      "networkItemId": "string",
      "networkItemType": "HOST",
      "vpnRegionId": "string"
    }
  ],
  "description": "string",
  "domain": "string",
  "id": "string",
  "internetAccess": "string",
  "name": "string",
  "systemSubnets": [
    "string"
  ]
}
```

To perform this operation, you must be authenticated by means of one of the following methods: OAuth\_authorization

---

Prev: [Host](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/host.md)
Next: [Delete an existing host](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/host/delete-an-existing-host.md)
Index: https://openvpn.net/cloud-docs/llms.txt
